gtpregress
Prev | Appendix A. Reference | Next

## gtpregress

gtpregress — Runs GTP regression tests.

## Synopsis

`gtpregress` [`-config` `file`] [`-long`] [`-output` `directory`] [`-verbose`] `program` `test.tst` ...

`gtpregress` [`-help`]

`gtpregress` [`-version`]

## Description

Runs a regression test for a Go program supporting the Go Text Protocol, and formats the output as HTML. The regression tests are GTP files, using the special comment `#?`, as used for the GNU Go regression tests (see section Regression testing of the GNU Go documentation). The regular expression syntax for the expected responses is mostly compatible to the one used by the GNU Go regression test suite, see the documentation for java.util.regex.Pattern for a complete description.

The main output file is `index.html`. For each test file ``test`.tst`, additional files with name ``test`.html` and ``test`.out.html` are generated. Also creates a text file `summary.dat`, with a table row containing the most important summary statistics.

The return value of gtpregress is 0, if all tests completed successfully with no unexpected fails, 1 if there was at least one enexpected fail, and 2 if the Go program crashed.

## Options

`-config` `file`

  Read command line options and arguments from file.

`-help`

  Display help and exit.

`-long`

  Print longer output to standard output, one line per test.

`-output` `directory`

  Write output files to ``directory``.

`-verbose`

  Print the GTP stream to the Go program to standard error.

`-version`

  Print version and exit.

Prev | Up | Next
gtpdummy | Home | gtpserver